> ## Documentation Index
> Fetch the complete documentation index at: https://docs.verbex.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Website Sitemap

> Retrieves the internal site map of a website. This endpoint is useful for discovering the structure
of a website and its pages, which can be used to add the website to a knowledge base.



## OpenAPI

````yaml /api-reference/openapi.json post /v2/knowledge-bases/website/sitemap
openapi: 3.1.0
info:
  title: Verbex Platform API
  description: API for managing AI agents, calls, phone numbers, and more.
  version: 1.0.0
servers: []
security: []
paths:
  /v2/knowledge-bases/website/sitemap:
    post:
      tags:
        - Knowledge Bases v2
      summary: Fetch Website Sitemap
      description: >-
        Retrieves the internal site map of a website. This endpoint is useful
        for discovering the structure

        of a website and its pages, which can be used to add the website to a
        knowledge base.
      operationId: fetch_website_sitemap_v2_knowledge_bases_website_sitemap_post
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              $ref: >-
                #/components/schemas/Body_fetch_website_sitemap_v2_knowledge_bases_website_sitemap_post
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SiteMapResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Body_fetch_website_sitemap_v2_knowledge_bases_website_sitemap_post:
      properties:
        url:
          type: string
          title: Url
      type: object
      required:
        - url
      title: Body_fetch_website_sitemap_v2_knowledge_bases_website_sitemap_post
    SiteMapResponse:
      properties:
        success:
          type: boolean
          title: Success
          description: Whether the site map was successfully retrieved.
        links:
          items:
            type: string
          type: array
          title: Links
          description: List of URLs found in the site map.
      type: object
      required:
        - success
        - links
      title: SiteMapResponse
      description: Response model for the site map of a website.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````